
#=============================================================================
# Overview of build options:
#
# End of build options
#-----------------------------------------------------------------------------

##trace

# force single job compilation
#%%define _smp_mflags -j1
#%%global debug_package    %%{nil}
#%%global _lto_cflags      %%{nil}

%global gitdate          20230506
%global commit           433efab4b44df9d40376b886acff7eb5aff55694
%global shortcommit      %(c=%{commit}; echo ${c:0:7})

%global version          1.4
%global release          3

# set this to "1" if building a git/beta/rc release
%global beta_or_rc       1


#=============================================================================
# general
#-----------------------------------------------------------------------------
Name:           libsmf
Version:        %{version}
%if %{beta_or_rc}
Release:        0.%{release}.%{gitdate}.git%{shortcommit}%{?dist}
%else
Release:        %{release}%{?dist}
%endif
Summary:        C library for handling Standard MIDI Files
License:        BSD
# the original location
#URL:           https://github.com/stump/libsmf
# repo with fixes in the 'fix' branch
URL:            https://github.com/jpcima/libsmf
%if %{beta_or_rc}
Source0:        https://github.com/jpcima/libsmf/archive/{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz
%else
Source0:        https://github.com/jpcima/libsmf/archive/%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  glib2-devel

%description
This is the continuation of libsmf, a BSD-licensed C library for reading
and writing Standard MIDI Files (*.mid). It transparently handles
conversions between time and pulses, tempo maps, and more. Full API
documentation and an example program (which is also rather useful in
its own right) are also provided. libsmf was originally written and
maintained by Edward Tomasz Napierała at http://libsmf.sourceforge.net

%package devel
Summary:  Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}


#=============================================================================
# prep
#-----------------------------------------------------------------------------
%prep
%if %{beta_or_rc}
%autosetup -p1 -n %{name}
%else
%autosetup -p1 -n %{name}-%{version}
%endif

autoreconf -vfi


#=============================================================================
# build
#-----------------------------------------------------------------------------
%build
%configure --disable-static
%{make_build}


#=============================================================================
# install
#-----------------------------------------------------------------------------
%install
%{make_install}


#=============================================================================
# files
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root)
%license COPYING
%doc NEWS README
%attr(0755,root,root)       %{_bindir}/smfsh
%attr(0755,root,root)       %{_libdir}/libsmf.so.0.0.0
%attr(0644,root,root)       %{_mandir}/man1/smfsh.1*

%files devel
%attr(0644,root,root)       %{_includedir}/smf.h
                            %{_libdir}/libsmf.so
                            %{_libdir}/libsmf.so.0
%attr(0644,root,root)       %{_libdir}/pkgconfig/smf.pc


#=============================================================================
# changelog
#-----------------------------------------------------------------------------
%changelog
* Wed Oct 30 2024 Patrick Laimbock <patrick@laimbock.com> - 1.4-0.3
- rebuild for F41

* Sat May 06 2023 Patrick Laimbock <patrick@laimbock.com> - 1.4-0.2
- git rev 433efab4b44df9d40376b886acff7eb5aff55694 from fix branch

* Sun Aug 21 2022 Patrick Laimbock <patrick@laimbock.com> - 1.4-0.1
- initial release of git rev 692e728d2c13caa3896880216f19f5565ea03886
- from https://github.com/jpcima/libsmf which has many fixes on top of 1.3

